Bug 1122952 - Choosing preset colour scheme in mate-terminal results in unreadable bold text
Summary: Choosing preset colour scheme in mate-terminal results in unreadable bold text
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mate-terminal
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 13:10 UTC by John Sullivan
Modified: 2015-06-29 21:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:43:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github mate-desktop mate-terminal issues 69 None None None Never

Description John Sullivan 2014-07-24 13:10:24 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1122593

So, on a fresh unused and unconfigured install, the default mate-terminal colour scheme is white on black.

The preferences dialog allows you to choose from a set of pre-set named schemes rather than having to use the colour picker for each colour element. This is a great usability feature (especially if you end up having to flip schemes fairly often - I sometimes have to switch between my own personal preferences and what is easier for others with vision problems to see), would be even better if it allowed the definition of new named colour schemes rather than juse presets and "Custom".

If you take the freshly installed settings, and just change the scheme from "White on black" to "Black on white", it changes the Text and Background colour, but leaves the Bold colour unchanged. But the Bold colour was set appropriately for a black background, not a white background. So all bolded text disappears. (Try reading *any* manpage with that.)

Yes, you *can* change the bold colour manually. Or toggle the (default off) "Same as text colour" option for the bold colour.

But it would make more sense for the colour scheme to define a *complete* and consistent (visible!) set of colours, ie it should set the Bold colour itself when changed.

Having just checked, the same issue appears to be present in gnome-terminal-3.10.2-2.fc20.x86_64 as well.

Comment 1 Wolfgang Ulbrich 2014-07-24 15:13:29 UTC
This looks more like a general issue and a feature request for upstream than an issue with the package in fedora.
A quick look in the code shows me that the predefined color-schemes only support bg and fg color.
https://github.com/mate-desktop/mate-terminal/blob/master/src/profile-editor.c#L336
So there is nothing what i can do for you from my side.
But you can open a feature request directly at upstream for this.
https://github.com/mate-desktop/mate-terminal/issues?state=open
I agree with you that this should fix.
Pls link the upstream report to this report than.

Comment 2 John Sullivan 2014-07-30 01:26:37 UTC
Done.

Comment 3 Fedora End Of Life 2015-05-29 12:27:34 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora Admin XMLRPC Client 2015-06-17 22:30:39 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora End Of Life 2015-06-29 21:43:58 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.